Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.city.atlas.krd/llms.txt

Use this file to discover all available pages before exploring further.

Requires authentication

Endpoint

GET /users

Query Parameters

ParameterTypeDescription
namestringFilter by fullname
ageintegerFilter by age
phoneNumberstringFilter by phone (primary or secondary)
genderstringMALE or FEMALE
nationalitystringFilter by nationality
maritalStatusstringMARRIED, SINGLE, DIVORCED, WIDOWED, SEPARATED, OTHER
activebooleanFilter by active status
residentTypestringSINGLE, FAMILY, SHARED
relationshipstringFATHER, MOTHER, SON, DAUGHTER, BROTHER, SISTER, OTHER
sortBystringField to sort by (optional)

Response

{
  "success": true,
  "data": [
    {
      "id": "uuid",
      "fullname": "John Doe",
      "phoneNumber": "07518202481",
      "secondPhoneNumber": "07518202485",
      "profilePhoto": "http://...",
      "nationality": "Syrian",
      "maritalStatus": "SINGLE",
      "gender": "MALE",
      "age": 22,
      "occupation": "Engineer",
      "employer": "Tech Corp",
      "relationship": "FATHER",
      "residentType": "SINGLE",
      "ownerId": null,
      "birthdate": "2000-01-01T00:00:00Z",
      "documents": ["doc-uuid-1", "doc-uuid-2"],
      "isActive": true,
      "createdAt": "2025-09-11T13:38:20.424Z",
      "updatedAt": "2025-09-11T13:38:20.424Z"
    }
  ]
}